<?php

namespace domain\Document\Document;

use domain\_\AbstractModule;

class DocumentModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            DocumentDefinition::class,
            DocumentSolver::class,
            DocumentRepository::class,
            DocumentBuilder::class,
            DocumentManager::class,
        ];
    }

    public function getDefinition()
    {
        return DocumentDefinition::getInstance();
    }

    public function getSolver()
    {
        return DocumentSolver::getInstance();
    }

    public function getRepository()
    {
        return DocumentRepository::getInstance();
    }

    public function getBuilder()
    {
        return DocumentBuilder::getInstance();
    }

    public function getManager()
    {
        return DocumentManager::getInstance();
    }
}